freemarker.template

## Class DefaultObjectWrapperBuilder

- java.lang.Object
- - freemarker.ext.beans.BeansWrapperConfiguration
  - - freemarker.template.DefaultObjectWrapperConfiguration
    - - freemarker.template.DefaultObjectWrapperBuilder

All Implemented Interfaces:
  Cloneable

    public class DefaultObjectWrapperBuilder
    extends DefaultObjectWrapperConfiguration

Gets/creates a `DefaultObjectWrapper` singleton instance that's already configured as specified in the properties of this object; this is recommended over using the `DefaultObjectWrapper` constructors. The returned instance can't be further configured (it's write protected).

See `BeansWrapperBuilder` for more info, as that works identically.

Since:
  2.3.21

### Field Summary

### Fields inherited from class freemarker.ext.beans.BeansWrapperConfiguration

`classIntrospectorFactory`

### Constructor Summary

Constructors
Constructor and Description
`DefaultObjectWrapperBuilder(Version incompatibleImprovements)` Creates a builder that creates a `DefaultObjectWrapper` with the given `incompatibleImprovements`; using at least 2.3.22 is highly recommended.

### Method Summary

All Methods Instance Methods Concrete Methods
`DefaultObjectWrapper` `build()` Returns a `DefaultObjectWrapper` instance that matches the settings of this builder.

### Methods inherited from class freemarker.template.DefaultObjectWrapperConfiguration

`equals, getForceLegacyNonListCollections, getIterableSupport, getUseAdaptersForContainers, hashCode, setForceLegacyNonListCollections, setIterableSupport, setUseAdaptersForContainers`

### Methods inherited from class freemarker.ext.beans.BeansWrapperConfiguration

`clone, getDefaultDateType, getExposeFields, getExposureLevel, getIncompatibleImprovements, getMethodAppearanceFineTuner, getOuterIdentity, getUseModelCache, isSimpleMapWrapper, isStrict, setDefaultDateType, setExposeFields, setExposureLevel, setMethodAppearanceFineTuner, setOuterIdentity, setSimpleMapWrapper, setStrict, setUseModelCache`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultObjectWrapperBuilder

    public DefaultObjectWrapperBuilder(Version incompatibleImprovements)

Creates a builder that creates a `DefaultObjectWrapper` with the given `incompatibleImprovements`; using at least 2.3.22 is highly recommended. See `DefaultObjectWrapper.DefaultObjectWrapper(Version)` for more information about the impact of `incompatibleImprovements` values.

### Method Detail

#### build

    public DefaultObjectWrapper build()

Returns a `DefaultObjectWrapper` instance that matches the settings of this builder. This will be possibly a singleton that is also in use elsewhere.